/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is MozillaPL.org code.
 *
 * The Initial Developer of the Original Code is 
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or 
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// MozillaPL.org

// Browser
pref("browser.downloadmanager.behavior", 1);
pref("browser.search.mode", 1);
pref("browser.search.opensidebarsearchpanel", false);
pref("browser.tabs.loadInBackground", true);
pref("browser.tabs.opentabfor.middleclick", true);
pref("browser.tabs.opentabfor.urlbar", true);
pref("browser.urlbar.autoFill", true);
pref("browser.urlbar.matchOnlyTyped", true);
pref("keyword.URL", "http://www.google.com/search?btnI=I%27m+Feeling+Lucky&ie=UTF-8&oe=UTF-8&q=");
pref("network.search.url", "http://www.google.pl/search?sourceid=mozilla-search&ie=UTF-8&oe=UTF-8&q=");
pref("sidebar.customize.all_panels.url", "http://www.mozillapl.org/rdf/all-panels.rdf");
pref("sessionsaver.settings.autoload", false);

// Fonts
pref("font.mathfont-family", "CMSY10, CMEX10");
pref("font.minimum-size.x-central-euro", 10);
pref("font.minimum-size.x-unicode", 10);
pref("font.minimum-size.x-user-def", 10);
pref("font.minimum-size.x-western", 10);

// IRC
pref("extensions.irc.charset", "ISO-8859-2");

// MozGest
pref("mozgest.delay", 500);
pref("mozgest.grid", 15);
pref("mozgest.modifier.alt", false);
pref("mozgest.modifier.ctrl", false);
pref("mozgest.modifier.shift", false);
pref("mozgest.mousebutton", 2);
pref("mozgest.navigator", true);
pref("mozgest.trails.color", "#666666");
pref("mozgest.trails.enabled", true);
pref("mozgest.trails.interval", 8);
pref("mozgest.trails.length-limit", 1000);
pref("mozgest.trails.opacity", 100);
pref("mozgest.trails.width", 4);

// MozTweak
pref("moztweak.debug.menu", false);
pref("moztweak.debug.panel", false);
pref("moztweak.mail.header", "rdf:TekDzi2gTTvm");
pref("moztweak.mail.menu.rot13", true);
pref("moztweak.navigator.menu.dictionary", true);
pref("moztweak.navigator.menu.encyclopedia", true);
pref("moztweak.navigator.menu.plainlink", true);
pref("moztweak.qa.menu", false);
pref("moztweak.signatures.group", "rdf:cW3shCGDnckg");

// Proctor
pref("browser.toolbars.showbutton.proctor", true);
pref("proctor.spoof.proxy", false);
pref("proctor.spoof.proxy.ip", "192.168.0.1");

// Linux
pref("middlemouse.contentLoadURL", false);
